Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed Affected version: 5.1.1

Description

There is a feature that highlights input fields with a red border when a validation error occurs. An issue was identified with the

'Description' field, set as a mandatory input. When a validation error is triggered in this field, the red border is incorrectly positioned.

 clipboard-202312081436-va2fa.png 

This problem does not occur with 'Long text' format custom fields. The notable difference is that the 'Description' field contains a

'span#issue_description_and_toolbar' element, which causes the red border to be displayed around the span tag, unlike in custom

fields.

Associated revisions

Revision 22545 - 2023-12-22 01:33 - Go MAEDA

Fix improper error highlighting for description field in issue form (#39795).

Patch by Mizuki ISHIKAWA.

History

#1 - 2023-12-08 06:39 - Mizuki ISHIKAWA

- File clipboard-202312081437-h8wy5.png added

- File clipboard-202312081438-exxmp.png added

The issue can be resolved by modifying the CSS as follows:

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index b92a34d68..3ef6e6180 100644

--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -905,7 +905,7 @@ label.block {

   color: #bb0000;

 }

-.tabular label.error + * {

+.tabular label.error + *:not(span), .tabular label.error + span div.jstBlock {

   border: 1px solid #bb0000;

 }

 Screen after fixed:
#2 - 2023-12-08 07:22 - Mizuki ISHIKAWA

- File fix-39795.patch added

The changes in #note-1 were not completely resolved, so I am attaching the patch again.

#3 - 2023-12-08 09:46 - Go MAEDA

- Target version set to 5.0.8

Setting the target version to 5.0.8.
#4 - 2023-12-22 01:31 - Go MAEDA

- Subject changed from Description field error highlighting misalignment on validation failure to Fix improper error highlighting for description field in

issue form

- Target version changed from 5.0.8 to 6.0.0

#5 - 2023-12-22 01:33 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r22545. Thank you.
